# View Task Status - GetUSMCTaskStatus

## Overview

View Task Status






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUSMCTaskStatus`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **PlanId** | string | Migration Plan ID |**Yes**|
| **TaskId** | string | Task ID |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Data** | [*TaskStatus*](#taskstatus) | TaskStatus |**Yes**|

#### Data Model


#### TaskStatus

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Progress** | [*ProgressData*](#progressdata) | Progress |No|
| **State** | string | Status |No|
| **FailedMessage** | string | Error Message |No|

#### ProgressData

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Percentage** | float | Progress Percentage |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=GetUSMCTaskStatus
&ProjectId=shafqzkV
&TaskId=xWgrvsUz
```

### Response Example
    
```json
{
  "Action": "GetUSMCTaskStatusResponse",
  "Data": {},
  "Message": "bEoqNfyv",
  "RetCode": 0
}
```





